LSInputImpl (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.common.xmlschema

## Class LSInputImpl

- java.lang.Object
- - org.apache.cxf.common.xmlschema.LSInputImpl

- All Implemented Interfaces:
    `LSInput`

      public class LSInputImpl
      extends Object
      implements LSInput

  LSInput implementation that can be used in custom LSResourceResolver implementations for getting schema import and include references resolved.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `protected String` | `fBaseSystemId` |
    `protected InputStream` | `fByteStream` |
    `protected boolean` | `fCertifiedText` |
    `protected Reader` | `fCharStream` |
    `protected String` | `fData` |
    `protected String` | `fEncoding` |
    `protected String` | `fPublicId` |
    `protected String` | `fSystemId` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `LSInputImpl()` |
    `LSInputImpl​(String publicId, String systemId, InputStream byteStream)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `String` | `getBaseURI()` |
    `InputStream` | `getByteStream()` |
    `boolean` | `getCertifiedText()` |
    `Reader` | `getCharacterStream()` |
    `String` | `getEncoding()` |
    `String` | `getPublicId()` |
    `String` | `getStringData()` |
    `String` | `getSystemId()` |
    `void` | `setBaseURI​(String baseURI)` |
    `void` | `setByteStream​(InputStream byteStream)` |
    `void` | `setCertifiedText​(boolean certifiedText)` |
    `void` | `setCharacterStream​(Reader characterStream)` |
    `void` | `setEncoding​(String encoding)` |
    `void` | `setPublicId​(String publicId)` |
    `void` | `setStringData​(String stringData)` |
    `void` | `setSystemId​(String systemId)` |

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### fPublicId

          protected String fPublicId

    - #### fSystemId

          protected String fSystemId

    - #### fBaseSystemId

          protected String fBaseSystemId

    - #### fByteStream

          protected InputStream fByteStream

    - #### fCharStream

          protected Reader fCharStream

    - #### fData

          protected String fData

    - #### fEncoding

          protected String fEncoding

    - #### fCertifiedText

          protected boolean fCertifiedText

  - ### Constructor Detail

    - #### LSInputImpl

          public LSInputImpl()

    - #### LSInputImpl

          public LSInputImpl​(String publicId,
                             String systemId,
                             InputStream byteStream)

  - ### Method Detail

    - #### getByteStream

          public InputStream getByteStream()

      Specified by:
        `getByteStream` in interface `LSInput`

    - #### setByteStream

          public void setByteStream​(InputStream byteStream)

      Specified by:
        `setByteStream` in interface `LSInput`

    - #### getCharacterStream

          public Reader getCharacterStream()

      Specified by:
        `getCharacterStream` in interface `LSInput`

    - #### setCharacterStream

          public void setCharacterStream​(Reader characterStream)

      Specified by:
        `setCharacterStream` in interface `LSInput`

    - #### getStringData

          public String getStringData()

      Specified by:
        `getStringData` in interface `LSInput`

    - #### setStringData

          public void setStringData​(String stringData)

      Specified by:
        `setStringData` in interface `LSInput`

    - #### getEncoding

          public String getEncoding()

      Specified by:
        `getEncoding` in interface `LSInput`

    - #### setEncoding

          public void setEncoding​(String encoding)

      Specified by:
        `setEncoding` in interface `LSInput`

    - #### getPublicId

          public String getPublicId()

      Specified by:
        `getPublicId` in interface `LSInput`

    - #### setPublicId

          public void setPublicId​(String publicId)

      Specified by:
        `setPublicId` in interface `LSInput`

    - #### getSystemId

          public String getSystemId()

      Specified by:
        `getSystemId` in interface `LSInput`

    - #### setSystemId

          public void setSystemId​(String systemId)

      Specified by:
        `setSystemId` in interface `LSInput`

    - #### getBaseURI

          public String getBaseURI()

      Specified by:
        `getBaseURI` in interface `LSInput`

    - #### setBaseURI

          public void setBaseURI​(String baseURI)

      Specified by:
        `setBaseURI` in interface `LSInput`

    - #### getCertifiedText

          public boolean getCertifiedText()

      Specified by:
        `getCertifiedText` in interface `LSInput`

    - #### setCertifiedText

          public void setCertifiedText​(boolean certifiedText)

      Specified by:
        `setCertifiedText` in interface `LSInput`